#pragma once

#include <maps/wikimap/ugc/libs/common/dbpools.h>

namespace maps::wiki::ugc::backoffice::assignments_cleaner {

void setExpiredAtAssignments(pqxx::transaction_base& txn);
void expireAssignments(pqxx::transaction_base& txn);
void deleteAssignments(pqxx::transaction_base& txn);

void expireAssignments(const IDbPools& pools, bool dryRun);

} // namespace maps::wiki::ugc::backoffice::assignments_cleaner
